using adas_core.Application.Repositories.Interfaces;
using adas_core.Authentication;
using adas_core.Authentication.Interfaces;
using adas_core.Infrastructure.Repositories;
using Microsoft.Extensions.DependencyInjection;

namespace adas_core.LocalLogin.RegistrationExtension;

public static class LocalLoginExtension
{
    public static void AddLocalLogin(this IServiceCollection serviceCollection)
    {
        serviceCollection.AddSingleton<ILocalLoginRepository, LocalLoginRepository>();
        serviceCollection.AddSingleton<IAuthorityRepository, AuthorityRepository>();
        serviceCollection.AddSingleton<ILoginService, LocalLoginServiceImpl>();
        serviceCollection.AddSingleton<IAuthorityService, AuthorityService>();
    }
}